Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.conf
Class ConfigurationImpl

    java.lang.Object
      |
      +--com.solarmetric.conf.ConfigurationImpl

All Implemented Interfaces:
  BeanInfo, com.solarmetric.util.Closeable, Configuration, Externalizable, Serializable

Direct Known Subclasses:
  JDOConfigurationImpl

public synchronized class ConfigurationImpl
extends Object
implements Configuration, Externalizable

See Also:
  Serialized Form

Field Summary
`protected org.apache.commons.logging.LogFactory` | `logFactory`

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`ConfigurationImpl()`
`ConfigurationImpl(boolean)`

Method Summary
`protected BooleanValue` | `addBoolean(String)`
`protected DoubleValue` | `addDouble(String)`
`protected IntValue` | `addInt(String)`
`protected PluginValue` | `addPlugin(String)`
`protected PluginListValue` | `addPluginList(String)`
`protected StringValue` | `addString(String)`
`protected StringListValue` | `addStringList(String)`
`protected Value` | `addValue(Value)`
`protected void` | `assertNotFrozen()`
`void` | `close()` Free the resources used by this object.
`boolean` | `equals(Object)`
`void` | `fromProperties(Properties)` Set this Configuration via the given Properties.
`void` | `fromStream(InputStream)`
`BeanInfo[]` | `getAdditionalBeanInfo()`
`BeanDescriptor` | `getBeanDescriptor()`
`int` | `getDefaultEventIndex()`
`int` | `getDefaultPropertyIndex()`
`EventSetDescriptor[]` | `getEventSetDescriptors()`
`Image` | `getIcon(int)`
`org.apache.commons.logging.Log` | `getLog(String)` Return the log for the given category.
`org.apache.commons.logging.LogFactory` | `getLogFactory()` The log factory.
`MethodDescriptor[]` | `getMethodDescriptors()`
`protected String` | `getProductName()`
`PropertyDescriptor[]` | `getPropertyDescriptors()`
`Value` | `getValue(String)` Return a `Value` for a given property.
`Value[]` | `getValues()` Return the set of all `Value`s.
`int` | `hashCode()`
`boolean` | `isCaching()` Return whether `Properties` conversions are cached.
`boolean` | `isFrozen()` Return true if this Configuration has been frozen.
`boolean` | `loadDefaults()`
`void` | `readExternal(ObjectInput)`
`void` | `setCaching(boolean)` Set whether to optimize `Properties` conversion by caching `Value` states.
`void` | `setFrozen(boolean)` Lock down the configuration's state.
`void` | `setLog(String, org.apache.commons.logging.Log)` Set the log for the given category.
`void` | `setLogFactory(org.apache.commons.logging.LogFactory)` log factory.
`void` | `setProperties(String)`
`void` | `setPropertiesFile(File)`
`Properties` | `toProperties()` A Properties representation of this Configuration.
`void` | `writeExternal(ObjectOutput)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logFactory

    protected org.apache.commons.logging.LogFactory logFactory

Constructor Detail

### ConfigurationImpl

    public ConfigurationImpl()

### ConfigurationImpl

    public ConfigurationImpl(boolean)

Method Detail

### setLogFactory

    public void setLogFactory(org.apache.commons.logging.LogFactory)

  Description copied from interface: `Configuration`
  log factory. Kodo employs the jakarta logging framework.
  Specified by:
    `setLogFactory` in interface `Configuration`

### getLogFactory

    public org.apache.commons.logging.LogFactory getLogFactory()

  Description copied from interface: `Configuration`
  The log factory. Kodo employs the jakarta logging framework. If no log factory has been set explicitly, the default factory is used.
  Specified by:
    `getLogFactory` in interface `Configuration`

### setLog

    public void setLog(String,
                       org.apache.commons.logging.Log)

  Description copied from interface: `Configuration`
  Set the log for the given category.
  Specified by:
    `setLog` in interface `Configuration`
  Following copied from interface: `com.solarmetric.conf.Configuration`
  See Also:
    `Configuration.setLogFactory(org.apache.commons.logging.LogFactory)`

### getLog

    public org.apache.commons.logging.Log getLog(String)

  Description copied from interface: `Configuration`
  Return the log for the given category.
  Specified by:
    `getLog` in interface `Configuration`
  Following copied from interface: `com.solarmetric.conf.Configuration`
  See Also:
    `Configuration.getLogFactory()`

### getValue

    public Value getValue(String)

  Description copied from interface: `Configuration`
  Return a `Value` for a given property.
  Specified by:
    `getValue` in interface `Configuration`

### getValues

    public Value[] getValues()

  Description copied from interface: `Configuration`
  Return the set of all `Value`s.
  Specified by:
    `getValues` in interface `Configuration`

### getAdditionalBeanInfo

    public BeanInfo[] getAdditionalBeanInfo()

  Specified by:
    `getAdditionalBeanInfo` in interface `BeanInfo`

### getBeanDescriptor

    public BeanDescriptor getBeanDescriptor()

  Specified by:
    `getBeanDescriptor` in interface `BeanInfo`

### getDefaultEventIndex

    public int getDefaultEventIndex()

  Specified by:
    `getDefaultEventIndex` in interface `BeanInfo`

### getDefaultPropertyIndex

    public int getDefaultPropertyIndex()

  Specified by:
    `getDefaultPropertyIndex` in interface `BeanInfo`

### getEventSetDescriptors

    public EventSetDescriptor[] getEventSetDescriptors()

  Specified by:
    `getEventSetDescriptors` in interface `BeanInfo`

### getIcon

    public Image getIcon(int)

  Specified by:
    `getIcon` in interface `BeanInfo`

### getMethodDescriptors

    public MethodDescriptor[] getMethodDescriptors()

  Specified by:
    `getMethodDescriptors` in interface `BeanInfo`

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

  Specified by:
    `getPropertyDescriptors` in interface `BeanInfo`

### close

    public void close()

  Description copied from interface: `Configuration`
  Free the resources used by this object.
  Specified by:
    `close` in interface `Configuration`

### getProductName

    protected String getProductName()

### loadDefaults

    public boolean loadDefaults()

### setCaching

    public void setCaching(boolean)

  Description copied from interface: `Configuration`
  Set whether to optimize `Properties` conversion by caching `Value` states.
  Specified by:
    `setCaching` in interface `Configuration`

### isCaching

    public boolean isCaching()

  Description copied from interface: `Configuration`
  Return whether `Properties` conversions are cached.
  Specified by:
    `isCaching` in interface `Configuration`

### setFrozen

    public void setFrozen(boolean)

  Description copied from interface: `Configuration`
  Lock down the configuration's state. Attempting to set state after a configuration has been frozen results in a `IllegalStateException`.
  Specified by:
    `setFrozen` in interface `Configuration`

### isFrozen

    public boolean isFrozen()

  Description copied from interface: `Configuration`
  Return true if this Configuration has been frozen.
  Specified by:
    `isFrozen` in interface `Configuration`

### toProperties

    public Properties toProperties()

  Description copied from interface: `Configuration`
  A Properties representation of this Configuration. Note that changes made to this Properties object will not be automatically reflected in this Configuration object.
  Specified by:
    `toProperties` in interface `Configuration`

### fromProperties

    public void fromProperties(Properties)

  Description copied from interface: `Configuration`
  Set this Configuration via the given Properties. Any keys missing from the given properties will not be set. Note that changes made to this Properties object will not be automatically reflected in this Configuration object.
  Specified by:
    `fromProperties` in interface `Configuration`

### fromStream

    public void fromStream(InputStream)
                    throws IOException

### setProperties

    public void setProperties(String)
                       throws IOException

### setPropertiesFile

    public void setPropertiesFile(File)
                           throws IOException

### assertNotFrozen

    protected void assertNotFrozen()

### equals

    public boolean equals(Object)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### readExternal

    public void readExternal(ObjectInput)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`

### writeExternal

    public void writeExternal(ObjectOutput)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`

### addValue

    protected Value addValue(Value)

### addString

    protected StringValue addString(String)

### addInt

    protected IntValue addInt(String)

### addDouble

    protected DoubleValue addDouble(String)

### addBoolean

    protected BooleanValue addBoolean(String)

### addStringList

    protected StringListValue addStringList(String)

### addPlugin

    protected PluginValue addPlugin(String)

### addPluginList

    protected PluginListValue addPluginList(String)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.0.3 generated on February 20 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.